Your search did not match any results.

Different Value Indicator Types

Documentation

This demo illustrates all the available value indicator types for the LinearGauge.

Backend API
$(() => { const options = { scale: { startValue: 0, endValue: 100, tickInterval: 50, label: { customizeText(arg) { return `${arg.valueText} %`; }, }, }, }; $('#c1').dxLinearGauge($.extend(true, {}, options, { value: 75, valueIndicator: { type: 'rectangle', color: '#9B870C', }, })); $('#c2').dxLinearGauge($.extend(true, {}, options, { value: 80, valueIndicator: { type: 'rhombus', color: '#779ECB', }, })); $('#c3').dxLinearGauge($.extend(true, {}, options, { value: 65, valueIndicator: { type: 'circle', color: '#8FBC8F', }, })); $('#c4').dxLinearGauge($.extend(true, {}, options, { value: 90, valueIndicator: { type: 'rangebar', color: '#483D8B', }, })); $('#c5').dxLinearGauge($.extend(true, {}, options, { value: 70, valueIndicator: { type: 'textCloud', color: '#734F96', }, })); $('#c6').dxLinearGauge($.extend(true, {}, options, { value: 85, valueIndicator: { type: 'triangleMarker', color: '#f05b41', }, })); });
<!DOCTYPE html> <html xmlns="http://www.w3.org/1999/xhtml"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> <script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.6/css/dx.light.css" /> <script src="https://cdn3.devexpress.com/jslib/23.1.6/js/dx.all.js"></script> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="index.js"></script> </head> <body class="dx-viewport"> <div class="demo-container"> <div class="long-title"><h3>Available Disk Space</h3></div> <div id="gauge-demo"> <div id="c1"></div> <div id="c2"></div> <div id="c3"></div> <div id="c4"></div> <div id="c5"></div> <div id="c6"></div> </div> </div> </body> </html>
#gauge-demo { width: 100%; } #c1, #c2, #c3, #c4, #c5, #c6 { height: 110px; } .long-title h3 { font-family: 'Segoe UI Light', 'Helvetica Neue Light', 'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana; font-weight: 200; font-size: 28px; text-align: center; margin-bottom: 20px; }

Different Value Indicator Types
Documentation
This demo illustrates all the available value indicator types for the LinearGauge.
Feel free to share demo-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Backend API
import React from 'react';
import {
LinearGauge, Scale, Label, ValueIndicator,
} from 'devextreme-react/linear-gauge';
class App extends React.Component {
render() {
return (
<div>
<div className="long-title">
<h3>Available Disk Space</h3>
</div>
<div id="gauge-demo">
<LinearGauge
id="c1"
value={75}
>
<Scale
startValue={0}
endValue={100}
tickInterval={50}
>
<Label customizeText={this.customizeText}></Label>
</Scale>
<ValueIndicator
type="rectangle"
color="#9B870C"
></ValueIndicator>
</LinearGauge>
<LinearGauge
id="c2"
value={80}
>
<Scale
startValue={0}
endValue={100}
tickInterval={50}
>
<Label customizeText={this.customizeText}></Label>
</Scale>
<ValueIndicator
type="rhombus"
color="#779ECB"
></ValueIndicator>
</LinearGauge>
<LinearGauge
id="c3"
value={65}
>
<Scale
startValue={0}
endValue={100}
tickInterval={50}
>
<Label customizeText={this.customizeText}></Label>
</Scale>
<ValueIndicator
type="circle"
color="#8FBC8F"
></ValueIndicator>
</LinearGauge>
<LinearGauge
id="c4"
value={90}
>
<Scale
startValue={0}
endValue={100}
tickInterval={50}
>
<Label customizeText={this.customizeText}></Label>
</Scale>
<ValueIndicator
type="rangebar"
color="#483D8B"
></ValueIndicator>
</LinearGauge>
<LinearGauge
id="c5"
value={70}
>
<Scale
startValue={0}
endValue={100}
tickInterval={50}
>
<Label customizeText={this.customizeText}></Label>
</Scale>
<ValueIndicator
type="textCloud"
color="#734F96"
></ValueIndicator>
</LinearGauge>
<LinearGauge
id="c6"
value={85}
>
<Scale
startValue={0}
endValue={100}
tickInterval={50}
>
<Label customizeText={this.customizeText}></Label>
</Scale>
<ValueIndicator
type="triangleMarker"
color="#f05b41"
></ValueIndicator>
</LinearGauge>
</div>
</div>
);
}
customizeText({ valueText }) {
return `${valueText} %`;
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="dx-theme" data-theme="generic.light" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#gauge-demo {
width: 100%;
}
#c1,
#c2,
#c3,
#c4,
#c5,
#c6 {
height: 110px;
}
.long-title h3 {
font-family: 'Segoe UI Light', 'Helvetica Neue Light', 'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana;
font-weight: 200;
font-size: 28px;
text-align: center;
margin-bottom: 20px;
}
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@23.1.6/cjs',
'devextreme-react': 'npm:devextreme-react@23.1.6',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.2/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.49/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);

Different Value Indicator Types
Documentation
This demo illustrates all the available value indicator types for the LinearGauge.
Feel free to share demo-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Backend API
<template>
<div>
<div class="long-title">
<h3>Available Disk Space</h3>
</div>
<div id="gauge-demo">
<DxLinearGauge
id="c1"
:value="75"
>
<DxScale
:start-value="0"
:end-value="100"
:tick-interval="50"
>
<DxLabel :customize-text="customizeText"/>
</DxScale>
<DxValueIndicator
type="rectangle"
color="#9B870C"
/>
</DxLinearGauge>
<DxLinearGauge
id="c2"
:value="80"
>
<DxScale
:start-value="0"
:end-value="100"
:tick-interval="50"
>
<DxLabel :customize-text="customizeText"/>
</DxScale>
<DxValueIndicator
type="rhombus"
color="#779ECB"
/>
</DxLinearGauge>
<DxLinearGauge
id="c3"
:value="65"
>
<DxScale
:start-value="0"
:end-value="100"
:tick-interval="50"
>
<DxLabel :customize-text="customizeText"/>
</DxScale>
<DxValueIndicator
type="circle"
color="#8FBC8F"
/>
</DxLinearGauge>
<DxLinearGauge
id="c4"
:value="90"
>
<DxScale
:start-value="0"
:end-value="100"
:tick-interval="50"
>
<DxLabel :customize-text="customizeText"/>
</DxScale>
<DxValueIndicator
type="rangeBar"
color="#483D8B"
/>
</DxLinearGauge>
<DxLinearGauge
id="c5"
:value="70"
>
<DxScale
:start-value="0"
:end-value="100"
:tick-interval="50"
>
<DxLabel :customize-text="customizeText"/>
</DxScale>
<DxValueIndicator
type="textCloud"
color="#734F96"
/>
</DxLinearGauge>
<DxLinearGauge
id="c6"
:value="85"
>
<DxScale
:start-value="0"
:end-value="100"
:tick-interval="50"
>
<DxLabel :customize-text="customizeText"/>
</DxScale>
<DxValueIndicator
type="triangleMarker"
color="#f05b41"
/>
</DxLinearGauge>
</div>
</div>
</template>
<script>
import {
DxLinearGauge, DxScale, DxLabel, DxValueIndicator,
} from 'devextreme-vue/linear-gauge';
export default {
components: {
DxLinearGauge, DxScale, DxLabel, DxValueIndicator,
},
methods: {
customizeText({ valueText }) {
return `${valueText} %`;
},
},
};
</script>
<style scoped>
#gauge-demo {
width: 100%;
}
#c1,
#c2,
#c3,
#c4,
#c5,
#c6 {
height: 110px;
}
.long-title h3 {
font-family:
'Segoe UI Light',
'Helvetica Neue Light',
'Segoe UI',
'Helvetica Neue',
'Trebuchet MS',
Verdana;
font-weight: 200;
font-size: 28px;
text-align: center;
margin-bottom: 20px;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="dx-theme" data-theme="generic.light" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'root:': '../../../../../',
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.3.4/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.1/index.js',
'demo-ts-loader': 'root:utils/demo-ts-loader.js',
'svg-loader': 'root:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@23.1.6/cjs',
'devextreme-vue': 'npm:devextreme-vue@23.1.6',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.2/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.49/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);

Different Value Indicator Types
Documentation
This demo illustrates all the available value indicator types for the LinearGauge.
Feel free to share demo-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Backend API
<div class="long-title">
<h3>Available Disk Space</h3>
</div>
<div id="gauge-demo">
<dx-linear-gauge id="c1" [value]="75">
<dxo-value-indicator type="rectangle" color="#9B870C">
</dxo-value-indicator>
<dxo-scale [startValue]="0" [endValue]="100" [tickInterval]="50">
<dxo-label [customizeText]="customizeText"></dxo-label>
</dxo-scale>
</dx-linear-gauge>
<dx-linear-gauge id="c2" [value]="80">
<dxo-value-indicator type="rhombus" color="#779ECB"> </dxo-value-indicator>
<dxo-scale [startValue]="0" [endValue]="100" [tickInterval]="50">
<dxo-label [customizeText]="customizeText"></dxo-label>
</dxo-scale>
</dx-linear-gauge>
<dx-linear-gauge id="c3" [value]="65">
<dxo-value-indicator type="circle" color="#8FBC8F"> </dxo-value-indicator>
<dxo-scale [startValue]="0" [endValue]="100" [tickInterval]="50">
<dxo-label [customizeText]="customizeText"></dxo-label>
</dxo-scale>
</dx-linear-gauge>
<dx-linear-gauge id="c4" [value]="90">
<dxo-value-indicator type="rangebar" color="#483D8B"> </dxo-value-indicator>
<dxo-scale [startValue]="0" [endValue]="100" [tickInterval]="50">
<dxo-label [customizeText]="customizeText"></dxo-label>
</dxo-scale>
</dx-linear-gauge>
<dx-linear-gauge id="c5" [value]="70">
<dxo-value-indicator type="textCloud" color="#734F96">
</dxo-value-indicator>
<dxo-scale [startValue]="0" [endValue]="100" [tickInterval]="50">
<dxo-label [customizeText]="customizeText"></dxo-label>
</dxo-scale>
</dx-linear-gauge>
<dx-linear-gauge id="c6" [value]="85">
<dxo-value-indicator type="triangleMarker" color="#f05b41">
</dxo-value-indicator>
<dxo-scale [startValue]="0" [endValue]="100" [tickInterval]="50">
<dxo-label [customizeText]="customizeText"></dxo-label>
</dxo-scale>
</dx-linear-gauge>
</div>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule, BrowserTransferStateModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxLinearGaugeModule } from 'devextreme-angular';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
})
export class AppComponent {
customizeText(arg: any) {
return `${arg.valueText} %`;
}
}
@NgModule({
imports: [
BrowserModule,
BrowserTransferStateModule,
DxLinearGaugeModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #gauge-demo {
width: 100%;
}
::ng-deep #c1,
#c2,
#c3,
#c4,
#c5,
#c6 {
height: 110px;
}
::ng-deep .long-title h3 {
font-family: 'Segoe UI Light', 'Helvetica Neue Light', 'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana;
font-weight: 200;
font-size: 28px;
text-align: center;
margin-bottom: 20px;
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'@angular/core': 'npm:@angular/core@12.2.17',
'@angular/platform-browser': 'npm:@angular/platform-browser@12.2.17',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.17',
'@angular/forms': 'npm:@angular/forms@12.2.17',
'@angular/common': 'npm:@angular/common@12.2.17',
'@angular/compiler': 'npm:@angular/compiler@12.2.17',
'tslib': 'npm:tslib@2.3.1/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@23.1.6/cjs',
'devextreme/bundles/dx.all': 'npm:devextreme@23.1.6/bundles/dx.all.js',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.2',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.49',
'devextreme-angular': 'npm:devextreme-angular@23.1.6',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
'npm:@angular/*/package.json',
'npm:@angular/common@12.2.17/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devextreme-angular@23.1.6/*/package.json',
'npm:devextreme-angular@23.1.6/ui/*/package.json',
'npm:devextreme-angular@23.1.6/package.json',
'npm:devexpress-diagram@2.2.2/package.json',
'npm:devexpress-gantt@4.1.49/package.json',
],
};
System.config(window.config);
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.12.0/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>